# $Revision: 1.5 $, $Date: 2011/07/26 19:53:20 $
%define		plugin	check_temperature
%include	/usr/lib/rpm/macros.perl
Summary:	Nagios plugin to check temperatures
Name:		nagios-plugin-%{plugin}
Version:	1.2
Release:	1
License:	BSD
Group:		Networking
Source0:	http://www.hoppie.nl/tempsens/check_temperature
# Source0-md5:	52af8cf292537680f9a624e41d557edf
Patch0:		paths.patch
Patch1:		compatible-devs.patch
Source1:	%{plugin}.cfg
URL:		http://www.hoppie.nl/tempsens/
BuildRequires:	rpm-perlprov >= 4.1-13
Requires:	nagios-common
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sysconfdir	/etc/nagios/plugins
%define		plugindir	%{_prefix}/lib/nagios/plugins

%description
Nagios plugin to check temperatures using Digitemp (or compatible
device).

%prep
%setup -qcT
cp -p %{SOURCE0} %{plugin}
%patch0 -p1
%patch1 -p1

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir},%{plugindir}}
install -p %{plugin} $RPM_BUILD_ROOT%{plugindir}/%{plugin}
cp -p %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/%{plugin}.cfg

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{plugin}.cfg
%attr(755,root,root) %{plugindir}/%{plugin}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: nagios-plugin-check_temperature.spec,v $
Revision 1.5  2011/07/26 19:53:20  glen
- compatible-devs.patch restored from released rpm package

Revision 1.4  2011/07/26 19:50:11  glen
- perl deps, fix plugin config

Revision 1.3  2009/09/09 11:50:11  glen
- release 1

Revision 1.2  2009/09/09 11:49:22  glen
- v1.2 - compatible devs support

Revision 1.1  2009/09/09 11:46:15  glen
- new
